> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jambonz.org/reference/rest-platform-management/accounts/create-api-key/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server. # create an API key for an account POST https://api.jambonz.cloud/v1/ApiKeys Content-Type: application/json Reference: https://docs.jambonz.org/reference/rest-platform-management/accounts/create-api-key ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an object. - `account_sid` (string, required) ## Response ### 200 new API key - `sid` (string, optional) - `token` (string, optional) ## Errors ### 404 Not Found Error account not found - `any` ### 500 Internal Server Error system error - `msg` (string, required) ## Examples **Request** ```json { "account_sid": "9d26a637-1679-471f-8da8-7150266e1254" } ``` **Response** ```json { "sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "token": "7c9e6679-7425-40de-944b-e07fc1f90ae7" } ``` **SDK Code** ```python import requests url = "https://api.jambonz.cloud/v1/ApiKeys" payload = { "account_sid": "9d26a637-1679-471f-8da8-7150266e1254" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.jambonz.cloud/v1/ApiKeys'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"account_sid":"9d26a637-1679-471f-8da8-7150266e1254"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.jambonz.cloud/v1/ApiKeys" payload := strings.NewReader("{\n \"account_sid\": \"9d26a637-1679-471f-8da8-7150266e1254\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.jambonz.cloud/v1/ApiKeys") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"account_sid\": \"9d26a637-1679-471f-8da8-7150266e1254\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.jambonz.cloud/v1/ApiKeys") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"account_sid\": \"9d26a637-1679-471f-8da8-7150266e1254\"\n}") .asString(); ``` ```php request('POST', 'https://api.jambonz.cloud/v1/ApiKeys', [ 'body' => '{ "account_sid": "9d26a637-1679-471f-8da8-7150266e1254" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.jambonz.cloud/v1/ApiKeys"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"account_sid\": \"9d26a637-1679-471f-8da8-7150266e1254\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["account_sid": "9d26a637-1679-471f-8da8-7150266e1254"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/ApiKeys")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```